SET default_tablespace=jappdata;

DROP TABLE  O_orders;
CREATE TABLE O_orders
(
	o_id		integer not null,        
	o_c_id		integer,
	o_ol_cnt	integer,
	o_discount	numeric(4,2),
	o_total		numeric(12,2),
	o_status	integer,
	o_entry_date	timestamp,
	o_ship_date	date,
PRIMARY KEY  (o_id)
)  ;

CREATE INDEX O_oc_idx ON O_orders (o_c_id) ;

DROP TABLE  O_orderline;
CREATE TABLE O_orderline
(
	ol_id		integer not null,
	ol_o_id		integer not null,
	ol_i_id		char(20),
	ol_qty		integer,
      ol_total_value    numeric(12,2),
   ol_msrp         numeric(12,2),
	ol_status	integer,
	ol_ship_date	date,
PRIMARY KEY  (ol_o_id, ol_id)
) ;


DROP TABLE  O_item;
CREATE TABLE O_item
(
	i_id			char(20) not null,
	i_name			char(35),
	i_desc			varchar(100),
	i_price			numeric(12,2),
	i_discount		numeric(6,4),
        i_category		integer not null,
PRIMARY KEY  (i_id)
) ;

CREATE INDEX O_icat_idx ON O_item (i_category) ;
